.login-container {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  overflow: hidden;
  user-select: none;
  .bg-pic {
    height: 100%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
  }
  .bg-filter {
    height: 100%;
    width: 100%;
    position: absolute;
    background-image: linear-gradient(to bottom, rgba(133,96,169,0.7), rgba(133,96,169,1.0));
    //background-color: #8560A9;
    opacity: 95%;
  }
  .header {
    .subtitle {
      font-size: 16px;
      color: #D5EF7F;
      position: absolute;
      top: 69px;
      width: 100%;
      text-align: center;
      font-weight: lighter;
    }
    .title {
      font-size: 24px;
      color: #D5EF7F;
      position: absolute;
      top: 105px;
      width: 100%;
      text-align: center;
      font-weight: bold;
    }
    .register{
      position: absolute;
      font-size: 14px;
      top: 25px;
      left: 25px;
      color: #AC8EC9;
      text-shadow: 0 0 3px #453257;
    }
    .lang {
      position: absolute;
      font-size: 14px;
      top: 25px;
      right: 25px;
      color: #AC8EC9;
      text-shadow: 0 0 3px #453257;
    }
    .logo {
      position: absolute;
      height: 64px;
      width: 64px;
      top: 173px;
      left: 50%;
      transform: translateX(-32px);
      border-radius: 50%;
      border: 1px solid #D5EF7F;
      // overflow: hidden;
      .icon-logo-cat {
        position: absolute;
        //top: 9px;
        //left: 9px;
        width: 45px;
        height: 45px;
        font-size: 46px;
        top:50%;
        left:50%;
        transform:translate(-50%,-50%);
        fill: #D5EF7F;
      }
      
      // 双层边框 （两层border之间透明的，不能用box-shadow）
      &:before {
        content: "";
        position: absolute;
        top: -1px;
        left: -1px;
        display: block;
        border: 1px solid red;
        width: 64px;
        height: 64px;
        border-radius: 50%;
        border: 1px solid rgba(213,239,127,0.3);
        transform: scale(1.05);
      }
      
    }
  }

  .footer {
    .input-item {
      position: absolute;
      height: 40px;
      width: 240px;
      border: 1px solid rgba(255,255,255,0.2);
      border-radius: 20px;
      left: 50%;
      transform: translateX(-120px);
      overflow: hidden;
      &.input-item-user {
        bottom: 177px;
      }
      &.input-item-password{
        bottom: 121px;
      }
      .input-item-img {
        display: block;
        position: absolute;
        font-size: 13.3px;
        height: 13.3px;
        top: 13.3px;
        left: 13.3px;
        color: #D3C1E5;
        fill: #D3C1E5;
      }
      input {
        font-size: 16px;
        border: none;
        outline: none;
        background-color: transparent;
        position: absolute;
        left: 34px;
        height: 20px;
        width: 186px;
        top: 50%;
        transform: translateY(-10px);
        color: #453257;
        &::placeholder {
          color: #AC8EC9;
        }
      }
      &.active {
        background-color: rgba(255,255,255,0.2);
      }
    }
    .sign-in {
      position: absolute;
      bottom: 0;
      width: 100%;
      height: 64px;
      background-color: #D5EF7F;
      border: none;
      outline: none;
      color: #453257;
      font-weight: bold;
    }
  }
}
